Bug 1349592

Summary: RHN RHEL Channels 'rhel-x86_64-<VARIANT>-7-thirdparty-oracle-java-beta' map to a '7.2' version cert; should be '7.3 Beta'
Product: Red Hat Enterprise Linux 7 Reporter: John Sefler <jsefler>
Component: subscription-manager-migration-dataAssignee: vritant <vrjain>
Status: CLOSED ERRATA QA Contact: John Sefler <jsefler>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.3CC: anthomas, redakkan, skallesh, vrjain
Target Milestone: rcKeywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-03 20:29:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description John Sefler 2016-06-23 18:25:33 UTC
Description of problem:

RHN RHEL Beta Channel 'rhel-x86_64-client-7-thirdparty-oracle-java-beta' maps to the following product cert that corresponds to this RHEL minor release '7.3': name='Oracle Java (for RHEL Client)' id='242' version='7.2' arch='x86_64' providedTags='rhel-7-client-oraclejava,rhel-7-oraclejava' expected:<7.3 Beta> but was:<7.2>

RHN RHEL Beta Channel 'rhel-x86_64-hpc-node-7-thirdparty-oracle-java-beta' maps to the following product cert that corresponds to this RHEL minor release '7.3': name='Oracle Java (for RHEL Compute Node)' id='243' version='7.2' arch='x86_64' providedTags='rhel-7-computenode-oraclejava,rhel-7-oraclejava' expected:<7.3 Beta> but was:<7.2>

RHN RHEL Beta Channel 'rhel-x86_64-server-7-thirdparty-oracle-java-beta' maps to the following product cert that corresponds to this RHEL minor release '7.3': name='Oracle Java (for RHEL Server)' id='240' version='7.2' arch='x86_64' providedTags='rhel-7-server-oraclejava,rhel-7-oraclejava' expected:<7.3 Beta> but was:<7.2>

RHN RHEL Beta Channel 'rhel-x86_64-workstation-7-thirdparty-oracle-java-beta' maps to the following product cert that corresponds to this RHEL minor release '7.3': name='Oracle Java (for RHEL Workstation)' id='244' version='7.2' arch='x86_64' providedTags='rhel-7-workstation-oraclejava,rhel-7-oraclejava' expected:<7.3 Beta> but was:<7.2>





Version-Release number of selected component (if applicable):
[root@jsefler-rhel7 ~]# rpm -q subscription-manager-migration-datasubscription-manager-migration-data-2.0.29-1.el7.noarch


How reproducible:


Steps to Reproduce:
[root@jsefler-rhel7 ~]# grep 7-thirdparty-oracle-java-beta: /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhel-x86_64-client-7-thirdparty-oracle-java-beta: Client-x86_64-1560dd19112b-242.pem
rhel-x86_64-hpc-node-7-thirdparty-oracle-java-beta: Computenode-x86_64-0d8964f2b382-243.pem
rhel-x86_64-server-7-thirdparty-oracle-java-beta: Server-x86_64-df722e6ec37e-240.pem
rhel-x86_64-workstation-7-thirdparty-oracle-java-beta: Workstation-x86_64-2898824e108e-244.pem
[root@jsefler-rhel7 ~]# 
[root@jsefler-rhel7 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/Client-x86_64-1560dd19112b-242.pem  | tail -9
Product:
	ID: 242
	Name: Oracle Java (for RHEL Client)
	Version: 7.2          <=========== EXPECTED 7.3 Beta
	Arch: x86_64
	Tags: rhel-7-client-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name: 

[root@jsefler-rhel7 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/Computenode-x86_64-0d8964f2b382-243.pem  | tail -9
Product:
	ID: 243
	Name: Oracle Java (for RHEL Compute Node)
	Version: 7.2          <=========== EXPECTED 7.3 Beta
	Arch: x86_64
	Tags: rhel-7-computenode-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name: 

[root@jsefler-rhel7 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/Server-x86_64-df722e6ec37e-240.pem  | tail -9
Product:
	ID: 240
	Name: Oracle Java (for RHEL Server)
	Version: 7.2          <=========== EXPECTED 7.3 Beta
	Arch: x86_64
	Tags: rhel-7-server-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name: 

[root@jsefler-rhel7 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/Workstation-x86_64-2898824e108e-244.pem  | tail -9
Product:
	ID: 244
	Name: Oracle Java (for RHEL Workstation)
	Version: 7.2          <=========== EXPECTED 7.3 Beta
	Arch: x86_64
	Tags: rhel-7-workstation-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name: 



Actual results:
  above

Expected results:
  Version: 7.3 Beta

Additional info:
  Fixing this subscription-manager-migration-data bug depends on upstream creation of oracle-java-rhel-7.3-beta product certs in http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/product_ids and mappings in http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json

Comment 5 Shwetha Kallesh 2016-08-10 07:22:46 UTC
 RHN RHEL Channels 'rhel-x86_64-<VARIANT>-7-thirdparty-oracle-java-beta'  now map to a '7.3 Beta'


[root@dhcp35-77 ~]# rpm -qa | grep migration-data
subscription-manager-migration-data-2.0.30-1.el7.noarch



[root@dhcp35-77 ~]# grep 7-thirdparty-oracle-java-beta: /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhel-x86_64-client-7-thirdparty-oracle-java-beta: Client-OracleJava-x86_64-72f80068ca89-242.pem
rhel-x86_64-hpc-node-7-thirdparty-oracle-java-beta: ComputeNode-OracleJava-x86_64-736f1f486792-243.pem
rhel-x86_64-server-7-thirdparty-oracle-java-beta: Server-OracleJava-x86_64-dc0ed26fb576-240.pem
rhel-x86_64-workstation-7-thirdparty-oracle-java-beta: Workstation-OracleJava-x86_64-8dd51b408b0b-244.pem


[root@dhcp35-77 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/Client-OracleJava-x86_64-72f80068ca89-242.pem  | tail -9
Product:
	ID: 242
	Name: Oracle Java (for RHEL Client)
	Version: 7.3 Beta
	Arch: x86_64
	Tags: rhel-7-client-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name: 

[root@dhcp35-77 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/ComputeNode-OracleJava-x86_64-736f1f486792-243.pem | tail -9
Product:
	ID: 243
	Name: Oracle Java (for RHEL Compute Node)
	Version: 7.3 Beta
	Arch: x86_64
	Tags: rhel-7-computenode-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name: 

[root@dhcp35-77 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/Server-OracleJava-x86_64-dc0ed26fb576-240.pem | tail -9
Product:
	ID: 240
	Name: Oracle Java (for RHEL Server)
	Version: 7.3 Beta
	Arch: x86_64
	Tags: rhel-7-server-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name: 

[root@dhcp35-77 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/Workstation-OracleJava-x86_64-8dd51b408b0b-244.pem | tail -9
Product:
	ID: 244
	Name: Oracle Java (for RHEL Workstation)
	Version: 7.3 Beta
	Arch: x86_64
	Tags: rhel-7-workstation-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name:

Comment 7 errata-xmlrpc 2016-11-03 20:29:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html